%global srcname pykdtree

Name:           python-%{srcname}
Version:        1.3.10
Release:        %autorelease
Summary:        Fast kd-tree implementation with OpenMP-enabled queries

License:        LGPL-3.0-or-later
URL:            https://github.com/storpipfugl/pykdtree
Source0:        %pypi_source %srcname

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  gcc

%global _description \
pykdtree is a kd-tree implementation for fast nearest neighbour search in \
Python. The aim is to be the fastest implementation around for common use cases \
(low dimensions and low number of neighbours) for both tree construction and \
queries.

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

# Remove the cythonized files in order to regenerate them during build.
rm $(grep -rl '/\* Generated by Cython')

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%{pytest} --pyargs pykdtree

%files -n python3-%{srcname} -f %{pyproject_files}

%changelog
%autochangelog
